Subject: Re: [AVT] comments on draft-ietf-avt-rtp-g711wb-01

From: <[email-masked]>
Date: Tue, 15 Apr 2008 15:43:12 +0200

Hi Roni

Thank you for your review and comments. My answers are inline [AS].

> 
> Hi,
> I have some comments most of them editorial.
> 
> In section 3 please add the name of the RTP header field 
> before the text defining them. This if for Timestamp: and Marker bit:

[AS]OK.

> 
> In section 4.1 " the mode can be changed between payloads" I 
> assume you mean between packets.

[AS]Yes.

> 
> In section 4.2 the end should say section 4.1 and not 4.2

[AS]Good catch, will change.

> 
> In section 5.3 the ptime and maxptime MUSt be mutiples of 5msec.

[AS]I'm not comfortable with it, because in SDP the ptime and maxptime
are shared between all codecs of the m= line.
Maybe it could be said in the media type registrations, but how could it
be a MUST for the SDP mapping?
 
> In section 5.3.1 first bullet. The G.711 should be PCMA or 
> PCMU depending on the WB subtype used.
> 

[AS]I agree it must be more specified, will improve.

> In section 5.3.1 the examples should have PCMA also
> 

[AS]OK (I think you meant PCMU). I will mix A- and Mu-law in the
examples.

> In section 6 second paragraph "negociated" "negociated"
> 

[AS]Should be "negotiated", will change.

> 
> General comments.
> 
> 1.	Currently the dynamic mode has no restriction, the 
> sender and the receiver MUST support modes 1-4 and can not 
> limit to part of the modes. Is that acceptable also 
> considering future extensions to the modes as you discuss in 
> the document 

[AS]If you want to limit the set of modes, you have to declare several
payload types with each fixed mode you need.
The current design is quite simple. It can be complicated if there is
need to. For example a "mode-set" parameter can be defined, but it is
more specificiation for offer/answer. I don't know if it is needed.

> 2.	Interoperability with G.711, can it be also signaled 
> using mode 1. 
> 

[AS]No, because current endpoints will not understand PCMA/U-WB media
type, so PCMA/U is needed in the SDP for interoperability.

--
Aurelien
_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www.ietf.org/mailman/listinfo/avt

---

From: "Even, Roni" <[email-masked]>
Date: Tue, 15 Apr 2008 16:53:42 +0300

Aurelien,

> [AS]OK (I think you meant PCMU). I will mix A- and Mu-law in the
What I meant is that the offer need to include also G.711 (not WB) based
on the document.

As for the G.711 interoperability maybe you can add some text explaining
that GWs or other network device can strip the G.711 information from
this payload without a need to decode first. I thought that is one of
the motivations for this work since it uses more bandwidth then the new
WB codecs

Roni

> -----Original Message-----

---

From: <[email-masked]>
Date: Tue, 15 Apr 2008 15:57:54 +0200

> What I meant is that the offer need to include also G.711 (not WB) 
> based on the document.

[AS] OK I understand. I will add G.711.
  (Note that it is a SHOULD so in some case it may be allowed to omit
G.711.)

Along with my answer, I will also add a note that it is the same for
PCMU, to be clear.

> 
> 
> As for the G.711 interoperability maybe you can add some text 
> explaining that GWs or other network device can strip the
> G.711 information from this payload without a need to decode first. I 
> thought that is one of the motivations for this work since it uses 
> more bandwidth then the new WB codecs
> 
> Roni
> 

[AS] OK, you are right.

---

From: Randell Jesup <[email-masked]>
Date: Tue, 15 Apr 2008 11:07:30 -0400

>be a MUST for the SDP mapping?

Aurelien is correct here; ptime is not a forced value, it's a preference,
and it's shared over any number of codecs.

-- 
Randell Jesup, Worldgate (developers of the Ojo videophone), ex-Amiga OS team
[email-masked]
"The fetters imposed on liberty at home have ever been forged out of the weapons
provided for defence against real, pretended, or imaginary dangers from abroad."
		- James Madison, 4th US president (1751-1836)

---

From: "Even, Roni" <[email-masked]>
Date: Wed, 16 Apr 2008 09:35:11 +0300

Hi,
This is true, but the question for the IAN registration is what the
resolution of ptime is for this specific codec and I believe it is 5
masec
Roni 

> From: Randell Jesup [mailto:[email-masked]]
> Sent: Tuesday, April 15, 2008 6:08 PM
> To: [email-masked]
> Cc: Even, Roni; [email-masked]
> Subject: Re: [AVT] comments on draft-ietf-avt-rtp-g711wb-01
> 
> Randell Jesup, Worldgate (developers of the Ojo videophone), ex-Amiga
OS
> team
> [email-masked]
> "The fetters imposed on liberty at home have ever been forged out of
the
> weapons
> provided for defence against real, pretended, or imaginary dangers
from
> abroad."

---

From: <[email-masked]>
Date: Wed, 16 Apr 2008 10:21:50 +0200

It can be said in the IANA registration, yes. But maybe not a normative "MUST"?

In SDP (RFC 4566), it says nothing about ptime, and for maxptime: "For frame-based codecs, the time SHOULD be an integer multiple of the frame size"

RFC 4855 and 4856 say nothing more.

I've checked in recent audio payload format RFCs.
 5188 says nothing 
 4867 says "The time SHOULD be an integer multiple of the frame size" for maxptime, nothing for ptime
 4788 says "The time SHOULD be a multiple of the duration of a single codec data frame (20 msec)." for maxptime, nothing for ptime

So I have the feeling that referencing 4566 is enough. Am I wrong?
Anyway, I can add informative text, it will improve the reading.

Aurelien

> -----Message d'origine-----
> De : Even, Roni [mailto:[email-masked]] 
> Envoyé : mercredi 16 avril 2008 08:35
> À : Randell Jesup; SOLLAUD Aurelien RD-TECH-LAN
> Cc : [email-masked]
> Objet : RE: [AVT] comments on draft-ietf-avt-rtp-g711wb-01
> 
> Hi,
> This is true, but the question for the IAN registration is 
> what the resolution of ptime is for this specific codec and I 
> believe it is 5 masec Roni 
> 
> > >Maybe it could be said in the media type registrations, 
> but how could
> it

---

From: "Even, Roni" <[email-masked]>
Date: Wed, 16 Apr 2008 11:25:21 +0300

OK, just say that the frame size is 5 msec as informative
Roni

> From: [email-masked] [mailto:aurelien.sollaud@orange-
> ftgroup.com]
> Sent: Wednesday, April 16, 2008 11:22 AM
> To: Even, Roni; [email-masked]
> Cc: [email-masked]
> Subject: RE: [AVT] comments on draft-ietf-avt-rtp-g711wb-01
> 
> In SDP (RFC 4566), it says nothing about ptime, and for maxptime: "For
> frame-based codecs, the time SHOULD be an integer multiple of the frame
> size"
> 
>  4788 says "The time SHOULD be a multiple of the duration of a single
> codec data frame (20 msec)." for maxptime, nothing for ptime
> 
>